/*
 *  guile.h - Routines for setting up libguile.
 *            This file is part of the FreeLCD package.
 *
 *  $Id: guile.h,v 1.2 2004/06/20 14:16:19 unicorn Exp $
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 *
 *  Copyright (c) 2002, 2003, Jeroen van den Berg <unicorn@hippie.nu>
 */


#ifndef _FLCDD_GUILE_H
#define _FLCDD_GUILE_H 1

#include <glib.h>

typedef enum
{
  HOOK_NEXT_SCREEN      = 0, 
  HOOK_DATA_UPDATE      = 1, 
  HOOK_OPEN_CONNECTION  = 2,
  HOOK_CLOSE_CONNECTION = 3
}
guile_hook;

void
guile_init ();

void
guile_cleanup ();

void
guile_call_hook (guile_hook id, void *data, long param1, long param2);

GSList *
guile_get_time_layout_hints (const char *format);

char*
guile_format_time (const char *format, int width, int height,
                   int utctime, int loctime);

#endif /* Multiple include guard */
